* {
	margin: 0;
	padding: 0;
	box-sizing: border-box;
}




.flex-container {
	background-color: lightgrey;
	height: 300px;

	/* to place all children elements in one row, we will use display property with a value of flex */
	display: flex;
	justify-content: flex-end;
	flex-wrap: wrap;

	/* Flex properties - we will use flex properties to manipulate the children elements */

		/* flex-direction: value */
			/*flex-direction: row;	/* default */*/
			/*flex-direction: column;*/
			/*flex-direction: row-reverse;*/
			/*flex-direction: column-reverse;*/

		/* justify-content: value */
			/*justify-content: flex-start;*/	/*default*/
			/*justify-content: flex-end;*/
			/*justify-content: center;*/
			/*justify-content: space-between;*/
			/*justify-content: space-around;*/
			/*justify-content: space-evenly;*/

		/* align-items: value */
			/*align-items: flex-start;*/
			/*align-items: flex-end;*/
			/*align-items: center;*/
			/*align-items: stretch;*/	/*default*/

		/* flex-wrap: value */
			/*flex-wrap: nowrap;	/*default*/*/
			/*flex-wrap: wrap;*/
			/*flex-wrap: wrap-reverse;*/

		/* align-content: value */
			/*align-content: flex-start;*/
			/*align-content: flex-end;*/
			/*align-content: center;*/
			/*align-content: space-around;*/	/*default?*/
			/*align-content: space-between;*/
			/*align-content: stretch;*/
}


.flex-container div {
	width: 150px;
	background-color: lightblue;
	border: 1px solid black;
	color: white;
	font-size: 30px;
	text-align: center;
}